petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPSetErrorIfNotConverged

Causes KSPSolve() to generate an error if the solver has not converged.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSetErrorIfNotConverged(KSP ksp,PetscBool flg)

Logically Collective on KSP Many br

### Input Parameters

| ksp | - iterative context obtained from KSPCreate() Many br
| flg | - PETSC_TRUE indicates you want the error generated Many br

### Options database keys

-ksp_error_if_not_converged : this takes an optional truth value (0/1/no/yes/true/false) - Many br Many br

### Notes

Normally PETSc continues if a linear solver fails to converge, you can call KSPGetConvergedReason() after a KSPSolve() Many brto determine if it has converged. Many br

### Keywords

KSP, set, initial guess, nonzero

### See Also

KSPGetInitialGuessNonzero(), KSPSetInitialGuessKnoll(), KSPGetInitialGuessKnoll(), KSPGetErrorIfNotConverged()

Level:intermediate
Location:src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages